/*
 *  Copyright (C) 2001 Daouda LO <daouda@mandrakesoft.com>
 *  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */

#include "../include/d3des.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream.h>

void printHelp_x0rfbserver()
{
  cerr 
    << endl 
    << "usage: genpassHex PASSWORD" << endl
    << "       PASSWORD: string you want to change" << endl;
  ;
  exit( 1 );
}

char *output_x0rfbserver(char *passwd)
{
  char tmp[1024];
  char buffer[1024];
  strncpy(buffer,passwd,8);
  encryptPasswordHex( buffer, tmp );
  cerr
    << tmp;
  ;
  return(tmp);
}

void parseCommandLine( int argc, char **argv )
{
  int i = 1;

  if (argc==2) {
    output_x0rfbserver (argv[i]);
  } else printHelp_x0rfbserver();
	
}

int main( int argc, char **argv )
{
  parseCommandLine( argc, argv );
  return 0;
}


